#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>
#include <QCloseEvent>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();
    void updateSampleUI();
    void updateSliders();

private slots:
    void on_actionQuit_triggered();

    void on_actionLoad_Samples_triggered();

    void closeEvent(QCloseEvent *event);

    void on_browseButton_clicked();

    void on_sampleCombo_currentIndexChanged(int index);

    void on_NormaliseCheckbox_clicked();

    void on_lowCutCheckbox_clicked();

    void on_highCutCheckbox_clicked();

    void on_lowCutSlider_sliderMoved(int position);

    void on_highCutSlider_sliderMoved(int position);

    void on_actionClear_All_triggered();

    void on_readyButton_clicked();

    void on_previewButton_clicked();

    void on_FrequencyCombo_activated(int index);

    void on_ExportButton_clicked();

private:
    Ui::MainWindow *ui;
};
#endif // MAINWINDOW_H
